Subject: bug#40868: closed (Re: bug#40868: Grep C library for multi-string pattern matching?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Sep 2020 19:29:02 +0000

Your bug report

#40868: Grep C library for multi-string pattern matching?

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40868: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40868
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40868: Grep C library for multi-string pattern matching?
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 21 Sep 2020 12:28:28 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Discussion on this old grep bug report has died down (and it wasn't a grep bug 
anyway) so I'm closing the bug report.

Subject: Grep C library for multi-string pattern matching?
From: Jeffrey Walton <[email-masked]>
To: [email-masked]
Date: Sun, 26 Apr 2020 09:58:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Everyone,

I need to perform multi-string pattern matching in C. The problem I am
working on does not allow a shell script. I'm looking for a library
that implements Aho–Corasick or Commentz-Walter (or similar).

Does Grep provide a library that exposes its multi-string pattern
matching? If not, can someone recommend an implementation?

Thanks in advance.